Subject: bug#50993: 29.0.50; Problems when dragging the mouse over the toolbar

From: Po Lu <[email-masked]>
Date: Sun, 03 Oct 2021 20:06:13 +0800

In emacs -Q, try to extend the selection by dragging the mouse upwards
over the tool bar.  This used to extend the selection upwards as
expected, in Emacs 27, and Emacs 28 from April, but doesn't work anymore
in both Emacs 28.0.60 and 29.0.50, complaining:

<tool-bar> <mouse-movement> is undefined.

While I'm reporting the bug from a modified copy of Emacs, I observed
the bug on X11 built with Lucid as well as this copy, so I don't think
this is a problem with my copy.

Thanks.

In GNU Emacs 29.0.50 (build 1, x86_64-unknown-haiku, Haiku R1/beta3)
 of 2021-10-03 built on shredder
Repository revision: 0418dbbf9c5ebca199e002b1db4c2c7627f12597
Repository branch: master
Windowing system distributor 'Haiku, Inc.', version 5.1.1
Configured using:
 'configure --with-be-app'

Configured features:
BE_APP GIF GLIB GNUTLS JPEG JSON LIBXML2 MODULES NOTIFY GFILENOTIFY
PDUMPER PNG RSVG THREADS TIFF TOOLKIT_SCROLL_BARS XIM ZLIB

Important settings:
  value of $LC_COLLATE: en.UTF-8
  value of $LC_CTYPE: en.UTF-8
  value of $LC_MESSAGES: en.UTF-8
  value of $LC_MONETARY: en.UTF-8
  value of $LC_NUMERIC: en.UTF-8
  value of $LC_TIME: en.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t